#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ELogFileType {
    SystemBoot = 0,
    SystemReset = 1,
    SystemDebug = 2,
}

impl ELogFileType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::SystemBoot as i32 => Some(Self::SystemBoot),
            x if x == Self::SystemReset as i32 => Some(Self::SystemReset),
            x if x == Self::SystemDebug as i32 => Some(Self::SystemDebug),
            _ => None,
        }
    }
}
